Bug 839632 - Ovirt-node installer fails to load after cancelling cd integrity check
Ovirt-node installer fails to load after cancelling cd integrity check
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
3.1 RC
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mike Burns
: 862060 (view as bug list)
Depends On: 839709
  Show dependency treegraph
Reported: 2012-07-12 09:11 EDT by Miłosz Kosobucki
Modified: 2013-11-28 10:10 EST (History)
9 users (show)

See Also:
Fixed In Version: 2.7.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-28 10:10:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Console output (9.79 KB, image/png)
2012-07-12 09:11 EDT, Miłosz Kosobucki
no flags Details

  None (edit)
Description Miłosz Kosobucki 2012-07-12 09:11:08 EDT
Created attachment 597806 [details]
Console output

Description of problem:

Right after booting from installation CD an integrity check of the medium is performed. It says that it can be cancelled by pressing esc. However, after doing so dracut says that it cannot continue, because integrity check failed and shows kernel panic screen.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. Boot ovirt-node installation medium
2. Wait for bootup
3. cancel cd integrity check
Actual results:
Installer doesn't load. Kernel panic is shown on console

Expected results:
CD integrity check is skipped and the installer shows up.

Additional info:

Tested on rack server with Intel S1200BTL board.
Installation medium was ovirt-node-iso-2.4.0-999.mburns201207102007.fc17.iso
Comment 1 Mike Burns 2012-07-12 10:08:08 EDT
As a side note, this does happen with 2.3.0 as well.

You can skip the cd check by changing check to nocheck on the kernel command line.
Comment 2 Mike Burns 2012-10-03 11:32:38 EDT
*** Bug 862060 has been marked as a duplicate of this bug. ***
Comment 3 mpaupe 2013-04-19 09:16:49 EDT
It still happen with 2.6.1
Comment 4 Fabian Deutsch 2013-11-28 10:10:20 EST
(In reply to mpaupe from comment #3)
> It still happen with 2.6.1

we'll leave it to the default behavior (dropping to recscue shell).
I hope the solution of adding nocheck is viable for you.

Please reopen if needed.

Note You need to log in before you can comment on or make changes to this bug.